<?xml version="1.0" encoding="UTF-8"?>
<!--
To change this license header, choose License Headers in Project Properties.
To change this template file, choose Tools | Templates
and open the template in the editor.
-->
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:f="http://xmlns.jcp.org/jsf/core">
    <h:head>
        <link  href="monstyle.css" rel="stylesheet" type="text/css" />
            <title>eMarket  - Catalogue </title>
    </h:head>
    <h:body>
        <f:view>
            <section>
                <h1>Catalogue</h1>
                <h:form>
                    <h:commandLink action="toindex">
                        <h:outputText value="Revenir à l'accueil"/>
                    </h:commandLink>
                </h:form>
                <h2>Available items</h2>
                <h:dataTable value="#{catalogManager.products}" var="product">
                    <h:column>
                        <h:outputText value="#{product.name}"/>
                    </h:column>
                    <h:column>
                        <h:outputText value="#{product.sellPrice} €"/>
                    </h:column>
                    <h:column>
                        <h:form>
                            <h:commandButton value="Ajouter au panier" action="#{shoppingCartManager.addToCart()}">
                                <f:setPropertyActionListener value="#{product}" target="#{shoppingCartManager.prodToAdd}" />
                            </h:commandButton>
                        </h:form>
                    </h:column>
                </h:dataTable>
            </section>
        </f:view>
    </h:body>

</html>
